Subject: Re: [bug#46928] [PATCH] gnu: Add emacs-stig-paren.

From: Stefan Reichör <[email-masked]>
Date: Fri, 05 Mar 2021 20:59:57 +0100

Hi Nicolas!

> Hello,
>
> Stefan Reichör <[email-masked]> writes:
>
>> * gnu/packages/emacs-xyz.scm (emacs-stig-paren): New variable.
>
> Thank you.
>
> I think there is an issue with this library: old revisions are not kept
> around and file name is not versioned. It is unlikely it is updated
> anytime soon, but if that ever happens, package definition will break.
>
> Considering the features it provides has been part of Emacs for a long
> time now (IIUC), do you think it is worth including?

Thanks for your hint. I use stig-paren.el since more than 20 years. I
guess it worked better than the built-in show-paren-mode these days.

I thought it would be great to have all my emacs packages as part of guix.

Now I tried show-paren-mode again.
Here is what I came up with as stig-paren.el replacement:
,----
| (setq show-paren-style 'expression)
| (face-spec-set 'show-paren-match-expression '((t (:inherit show-paren-match :background "pale green"))))
| (show-paren-mode 1)
`----

That way my .emacs has grown a bit, but I no longer need stig-paren.el ;-)

You are correct, there is no need to add stig-paren.el to guix.

By the way: thanks for applying my other patches.

Thanks
  Stefan.